Skip to main content

Lerna and Nx Versions

The latest version of Lerna is kept up to date with the latest major version of Nx in order to support the latest features. If you have an older version of Lerna or Nx, you can use the table below to ensure compatibility between the two.

Lerna and Nx Version Compatibility Matrix‚Äč

Below is a reference table that matches versions of Lerna to the version of Nx that is compatible with it.

We provide a recommended version, and it is usually the latest minor version of Nx in the range provided because there will have been bug fixes added since the first release in the range.

Lerna VersionNx Version (recommended)Nx Version (range)
>=7.1.4 <= latestlatest>=16.5.1 <= latest
>= 7.0.0 < 7.1.4latest>=16.3.1 <= latest
>= 6.5.0 < 7.0.015.9.4>=15.5.2 < 16
>= 6.4.0 < 6.5.015.9.4>=15.4.2 < 16
>= 6.0.1 < 6.4.015.9.4>=14.8.6 < 16
>= 5.6.0 < 6.0.115.9.4>=14.8.1 < 16
>=5.5.0 < 5.6.015.9.4>=14.6.1 < 16
>=5.4.0 < 5.5.015.9.4>=14.5.4 < 16
>= 5.2.0 < 5.4.015.9.4>=14.4.3 < 16
< 5.2.0N/A*N/A*

*Lerna does not depend on Nx before version 5.2.0